package cn.com.qmth.export;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

public class Export {
	private static Logger logger = LogManager.getLogger(Export.class);

	public static void main(String[] args) {
		if(args==null||args.length==0) {
			logger.error("需要输入导出参数 1:byCourse,2:byAllPaper,3:byAllQues");
			return;
		}
		String type=args[0];
		logger.debug("导出开始");
		try {
			if("1".equals(type)) {
				ExportPaperByCourseCode.dispose();
			}else if("2".equals(type)) {
				ExportPaperByAllPaper.dispose();
			}else if("3".equals(type)) {
				ExportPaperByAllQuestions.dispose();
			}
		} catch (Exception e) {
			logger.error(e.getCause(),e);
		}
		logger.debug("导出结束");
	}
}
